﻿using System;
using UnityEngine;
using System.Collections;
using System.Collections.Generic;
using SimpleJSON;

namespace VeeRifter
{
    public class Gravity : MVRScript
    {
		private GravityControl gc;
		protected JSONStorableFloat gravity_X;
		protected JSONStorableFloat gravity_Y;
		protected JSONStorableFloat gravity_Z;
		
        public override void Init()
        {
			gc = SuperController.singleton.GetAtomByUid("CoreControl").GetStorableByID("Gravity") as GravityControl;
				
			gravity_X = new JSONStorableFloat("Gravity X", 0f, setGravity_X, -4f, 4f, false, true);
			gravity_X.storeType = JSONStorableParam.StoreType.Full;
			RegisterFloat(gravity_X);
			CreateSlider(gravity_X, false);
				
			gravity_Y = new JSONStorableFloat("Gravity Y", -9.81f, setGravity_Y, -10f, 10f, false, true);
			gravity_Y.storeType = JSONStorableParam.StoreType.Full;
			RegisterFloat(gravity_Y);
			CreateSlider(gravity_Y, false);
				
			gravity_Z = new JSONStorableFloat("Gravity Z", 0f, setGravity_Z, -4f, 4f, false, true);
			gravity_X.storeType = JSONStorableParam.StoreType.Full;
			RegisterFloat(gravity_Z);
			CreateSlider(gravity_Z, false);			
        }

		private void setGravity_X(JSONStorableFloat x)
		{			
			gc.gravityX = x.val;			
		}
		
		private void setGravity_Y(JSONStorableFloat y)
		{		
			gc.gravityY = y.val;						
		}
		
		private void setGravity_Z(JSONStorableFloat z)
		{
			gc.gravityZ = z.val;				
		}
    }
}
